can not include / exclude forums

Ответить
Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

can not include / exclude forums

Сообщение purpur » 08 янв 2013, 13:17

I have installed newest version (2.3.3) and tried setting forums with forum id's both excluding and including. Neither works. Once you define a forum id you wish to either include or exclude the extension provides errors (which refer to helper.php, lines 24, 26, 27, 28 and 33).

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 08 янв 2013, 19:54

Which version of MySQL you use?
PhpBB uses same database as Joomla?

Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

Сообщение purpur » 09 янв 2013, 15:11

the tables for phpbb3 are in same database as joomla, name starting with phpbb_ while joomla tables start with jom_.

MySQL is of version 5.1.49.

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 09 янв 2013, 16:20

Сheck the settings, it should be as in the image.
m.png
if does not work, try the settings from the following image, replacing the data on their own.
m1.png
If it will not work, I give a different version.

Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

Сообщение purpur » 10 янв 2013, 14:42

after providing database information it works kind of better, but not without hiccups. see the attachment.

post edit 1: didn't notice all the errors in screenshot, so pasting the left on the bottom of the screen:
Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132
post edit 2: also switching to dived template:
Deprecated: Function split() is deprecated in /homez.621/fogey/www/joomla3/modules/mod_lastphpbb3/helper.php on line 317

Deprecated: Function split() is deprecated in /homez.621/fogey/www/joomla3/modules/mod_lastphpbb3/helper.php on line 331

Fatal error: Cannot use [] for reading in /homez.621/fogey/www/joomla3/modules/mod_lastphpbb3/tmpl/dived.php on line 124

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132
Вложения
Capture.JPG

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 10 янв 2013, 15:26

What version of PHP is used?
Messages "deprecated" disappear on production-settings of php, that are installed on any hosting. You use the development settings. In the next version (today or tomorrow) of these errors will not be.
Even the design is not quite right. Try to choose dived-template on the module settings.
Sorry for my english.

Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

Сообщение purpur » 10 янв 2013, 15:30

dived template refuses to be shown at all, just giving the bunch of errors i listed on earlier post. the design is no problem though, i can and most likely will change the layout / looks of the results anyway.

php version seems to be 5.3.16 - hosted server, so can't update it even if it is old / oldish.

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 10 янв 2013, 15:38

About an hour will be a new version of the module, where the errors will be corrected.
Your version of PHP is relevant.

Добавлено спустя 23 минуты 20 секунд:
Try this version
Вложения
mod_lastphpbb3-v2.3.4.zip
(13.32 КБ) 369 скачиваний

Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

Сообщение purpur » 10 янв 2013, 16:11

half of the error messages disappeared, what remains are:
Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132
Posted after 1 minute 58 seconds:
and dived template:
Fatal error: Cannot use [] for reading in /homez.621/fogey/www/joomla3/modules/mod_lastphpbb3/tmpl/dived.php on line 124

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Warning: mysql_real_escape_string(): 40 is not a valid MySQL-Link resource in /homez.621/fogey/www/joomla3/libraries/joomla/database/driver/mysql.php on line 132

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 10 янв 2013, 16:16

I will check now

Добавлено спустя 3 минуты 49 секунд:
I have not tested version 2.3.X on joomla 3.0, checking now.

Добавлено спустя 13 минут 11 секунд:
At Joomla 3.0 module works fine. Small changes in the helper.php and dived.php. Please, check this version on default and dived template.
mod_lastphpbb3-v2.3.4.zip
(13.32 КБ) 401 скачивание

Аватара пользователя
purpur
Сообщения: 6
Зарегистрирован: 08 янв 2013, 13:16

Сообщение purpur » 10 янв 2013, 16:58

now it works like a charm in joomla3 installation, both as table layout (default) and dived layout. all the errors have disappeared and i am able to exclude forums as i wanted.

thank you for fast responses and perfect fixes.

Аватара пользователя
baklazanek
Сообщения: 1
Зарегистрирован: 18 июн 2013, 18:27

Сообщение baklazanek » 18 июн 2013, 18:29

But If i want to stay at 2.3 version? :nez-nayu:

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 18 июн 2013, 18:52

baklazanek, version 2.3.0 is not supported.

Аватара пользователя
superman7
Сообщения: 1
Зарегистрирован: 08 янв 2014, 14:43

Сообщение superman7 » 08 янв 2014, 14:44

PhpBB uses same database as Joomla?
Smile PleazZZZzzzZZZzzzz……

Аватара пользователя
Andrey
Администратор
Администратор
Сообщения: 2345
Зарегистрирован: 02 фев 2012, 11:42
Откуда: Воронеж
Контактная информация:

Сообщение Andrey » 08 янв 2014, 15:32

superman7, phpBB uses the same or separate database.

Аватара пользователя
lourencohen
Сообщения: 1
Зарегистрирован: 31 мар 2014, 10:20

Сообщение lourencohen » 31 мар 2014, 10:24

So we cannot use the version 2.3.0 anymore? I would prefer to stay with this version.{spam link} If I didn't update the software will it with the old version 2.3.0. I doubt if I keep the old version, will I be disabled to receive the new updates and info.






LOURENE

Ответить